<app-loading *ngIf='isLoading'></app-loading>
<div class='content'>
  <mb-button
    *ngIf='objFunction?.import'
    mbButtonSize="MEDIUM"
    mbButtonText="{{ 'goaManagement.common.uploadFile' | translate }}"
    mbButtonTextColor="#141ED2"
    (click)="showModalUploadFileExel(footerTmplUploadFile)"
  >
  </mb-button>
</div>

<!--form-->
<div class="form-setup-header">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <employee-data-picker [mbCanText]="true"
                            mbLabelText="{{'goaManagement.approveListEmpAllocated.label.empCode' | translate}}"
                            [ngModelOptions]="{standalone: true}" [multiple]="true" [isHideFullName]="true"
                            [functionCode]="functionCode"
                            (selectedChange)="onChange($event)" ngModel=""></employee-data-picker>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-input-text mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbDisable]='true'
                     [ngModel]="paramSearch?.fullName"
                     mbLabelText="{{ 'goaManagement.common.fullName' | translate }}">
      </mb-input-text>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">

      <div class="block-center">
        <div class="form-group">
          <label class="input__label" [innerHTML]="'Đơn vị'"></label>
          <nz-input-group [nzSuffix]="suffixIconSearch" class="input">
            <input type="text" nz-input [(ngModel)]="resultOrgId.orgName" placeholder="Chọn thông tin"
                   (click)="showModalUnit()" readonly/>
          </nz-input-group>
          <ng-template #suffixIconSearch>
            <mb-button (click)="clearDataOrgId()" mbButtonType="ONLY_ICON" mbButtonIconType="ZORRO"
                       mbPrefixIcon="close"></mb-button>
          </ng-template>
        </div>
      </div>
    </div>
    <div nz-col nzSm="24" nzXs="24" nzLg="6">
      <mb-select [mbDataSelects]="dataAssessmentPeriod" [mbShowSearch]="false"
                 mbLabelText="{{'goaManagement.system-allocation.label.attribute.CodeAllocation' | translate}}"
                 mbKeyLabel="periodName"
                 mbKeyValue="periodId"
                 [(ngModel)]="paramSearch.periodId"
      >
      </mb-select>
    </div>
  </div>

  <div class="search_header">
    <mb-button mbButtonAvailableStyle="DEFAULT" [buttonColorPink]="true"
               mbButtonText="{{'common.label.search' | translate}}" (click)="formSearch()"></mb-button>
  </div>
</div>

<!--table-->
<div class='search__content--group' *ngIf="dataTable$| async as dataTable ">
  <mb-table-wrap [mbTitle]="''" [nonBg]="true">
    <mb-table
      (changePageNum)='changePage($event)'
      [heightTable]="heightTable"
      [tableConfig]='tableConfig' [tableData]='dataTable.data.content'></mb-table>
  </mb-table-wrap>
</div>

<!--#footerTmplUploadFile-->
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'goaManagement.common.btnSaveFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'goaManagement.common.btnCancel' | translate}}"></mb-button>
  </section>
</ng-template>
